public static final class BatchingConfigProto.Builder extends GeneratedMessage.Builder<BatchingConfigProto.Builder> implements BatchingConfigProtoOrBuilder BatchingConfigProto defines the batching configuration for an API method.
Protobuf type google.api.BatchingConfigProto
Inheritance
java.lang.Object > AbstractMessageLite.Builder<MessageType,BuilderType> > AbstractMessage.Builder<BuilderType> > GeneratedMessage.Builder > BatchingConfigProto.BuilderImplements
BatchingConfigProtoOrBuilderStatic Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
Methods
build()
public BatchingConfigProto build()| Returns | |
|---|---|
| Type | Description |
BatchingConfigProto |
|
buildPartial()
public BatchingConfigProto buildPartial()| Returns | |
|---|---|
| Type | Description |
BatchingConfigProto |
|
clear()
public BatchingConfigProto.Builder clear()| Returns | |
|---|---|
| Type | Description |
BatchingConfigProto.Builder |
|
clearBatchDescriptor()
public BatchingConfigProto.Builder clearBatchDescriptor()The request and response fields used in batching.
.google.api.BatchingDescriptorProto batch_descriptor = 2;
| Returns | |
|---|---|
| Type | Description |
BatchingConfigProto.Builder |
|
clearThresholds()
public BatchingConfigProto.Builder clearThresholds()The thresholds which trigger a batched request to be sent.
.google.api.BatchingSettingsProto thresholds = 1;
| Returns | |
|---|---|
| Type | Description |
BatchingConfigProto.Builder |
|
getBatchDescriptor()
public BatchingDescriptorProto getBatchDescriptor()The request and response fields used in batching.
.google.api.BatchingDescriptorProto batch_descriptor = 2;
| Returns | |
|---|---|
| Type | Description |
BatchingDescriptorProto |
The batchDescriptor. |
getBatchDescriptorBuilder()
public BatchingDescriptorProto.Builder getBatchDescriptorBuilder()The request and response fields used in batching.
.google.api.BatchingDescriptorProto batch_descriptor = 2;
| Returns | |
|---|---|
| Type | Description |
BatchingDescriptorProto.Builder |
|
getBatchDescriptorOrBuilder()
public BatchingDescriptorProtoOrBuilder getBatchDescriptorOrBuilder()The request and response fields used in batching.
.google.api.BatchingDescriptorProto batch_descriptor = 2;
| Returns | |
|---|---|
| Type | Description |
BatchingDescriptorProtoOrBuilder |
|
getDefaultInstanceForType()
public BatchingConfigProto getDefaultInstanceForType()| Returns | |
|---|---|
| Type | Description |
BatchingConfigProto |
|
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()| Returns | |
|---|---|
| Type | Description |
Descriptor |
|
getThresholds()
public BatchingSettingsProto getThresholds()The thresholds which trigger a batched request to be sent.
.google.api.BatchingSettingsProto thresholds = 1;
| Returns | |
|---|---|
| Type | Description |
BatchingSettingsProto |
The thresholds. |
getThresholdsBuilder()
public BatchingSettingsProto.Builder getThresholdsBuilder()The thresholds which trigger a batched request to be sent.
.google.api.BatchingSettingsProto thresholds = 1;
| Returns | |
|---|---|
| Type | Description |
BatchingSettingsProto.Builder |
|
getThresholdsOrBuilder()
public BatchingSettingsProtoOrBuilder getThresholdsOrBuilder()The thresholds which trigger a batched request to be sent.
.google.api.BatchingSettingsProto thresholds = 1;
| Returns | |
|---|---|
| Type | Description |
BatchingSettingsProtoOrBuilder |
|
hasBatchDescriptor()
public boolean hasBatchDescriptor()The request and response fields used in batching.
.google.api.BatchingDescriptorProto batch_descriptor = 2;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the batchDescriptor field is set. |
hasThresholds()
public boolean hasThresholds()The thresholds which trigger a batched request to be sent.
.google.api.BatchingSettingsProto thresholds = 1;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the thresholds field is set. |
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()| Returns | |
|---|---|
| Type | Description |
FieldAccessorTable |
|
isInitialized()
public final boolean isInitialized()| Returns | |
|---|---|
| Type | Description |
boolean |
|
mergeBatchDescriptor(BatchingDescriptorProto value)
public BatchingConfigProto.Builder mergeBatchDescriptor(BatchingDescriptorProto value)The request and response fields used in batching.
.google.api.BatchingDescriptorProto batch_descriptor = 2;
| Parameter | |
|---|---|
| Name | Description |
value |
BatchingDescriptorProto |
| Returns | |
|---|---|
| Type | Description |
BatchingConfigProto.Builder |
|
mergeFrom(BatchingConfigProto other)
public BatchingConfigProto.Builder mergeFrom(BatchingConfigProto other)| Parameter | |
|---|---|
| Name | Description |
other |
BatchingConfigProto |
| Returns | |
|---|---|
| Type | Description |
BatchingConfigProto.Builder |
|
mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public BatchingConfigProto.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)| Parameters | |
|---|---|
| Name | Description |
input |
CodedInputStream |
extensionRegistry |
ExtensionRegistryLite |
| Returns | |
|---|---|
| Type | Description |
BatchingConfigProto.Builder |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
mergeFrom(Message other)
public BatchingConfigProto.Builder mergeFrom(Message other)| Parameter | |
|---|---|
| Name | Description |
other |
Message |
| Returns | |
|---|---|
| Type | Description |
BatchingConfigProto.Builder |
|
mergeThresholds(BatchingSettingsProto value)
public BatchingConfigProto.Builder mergeThresholds(BatchingSettingsProto value)The thresholds which trigger a batched request to be sent.
.google.api.BatchingSettingsProto thresholds = 1;
| Parameter | |
|---|---|
| Name | Description |
value |
BatchingSettingsProto |
| Returns | |
|---|---|
| Type | Description |
BatchingConfigProto.Builder |
|
setBatchDescriptor(BatchingDescriptorProto value)
public BatchingConfigProto.Builder setBatchDescriptor(BatchingDescriptorProto value)The request and response fields used in batching.
.google.api.BatchingDescriptorProto batch_descriptor = 2;
| Parameter | |
|---|---|
| Name | Description |
value |
BatchingDescriptorProto |
| Returns | |
|---|---|
| Type | Description |
BatchingConfigProto.Builder |
|
setBatchDescriptor(BatchingDescriptorProto.Builder builderForValue)
public BatchingConfigProto.Builder setBatchDescriptor(BatchingDescriptorProto.Builder builderForValue)The request and response fields used in batching.
.google.api.BatchingDescriptorProto batch_descriptor = 2;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
BatchingDescriptorProto.Builder |
| Returns | |
|---|---|
| Type | Description |
BatchingConfigProto.Builder |
|
setThresholds(BatchingSettingsProto value)
public BatchingConfigProto.Builder setThresholds(BatchingSettingsProto value)The thresholds which trigger a batched request to be sent.
.google.api.BatchingSettingsProto thresholds = 1;
| Parameter | |
|---|---|
| Name | Description |
value |
BatchingSettingsProto |
| Returns | |
|---|---|
| Type | Description |
BatchingConfigProto.Builder |
|
setThresholds(BatchingSettingsProto.Builder builderForValue)
public BatchingConfigProto.Builder setThresholds(BatchingSettingsProto.Builder builderForValue)The thresholds which trigger a batched request to be sent.
.google.api.BatchingSettingsProto thresholds = 1;
| Parameter | |
|---|---|
| Name | Description |
builderForValue |
BatchingSettingsProto.Builder |
| Returns | |
|---|---|
| Type | Description |
BatchingConfigProto.Builder |
|